Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler
Class ParameterInfo

    java.lang.Object
      org.apache.tomcat.util.modeler.FeatureInfo
          org.apache.tomcat.util.modeler.ParameterInfo

All Implemented Interfaces:
  Serializable

    public class ParameterInfo

extends FeatureInfo

Internal configuration information for a `Parameter` descriptor.

Version:
  $Id: ParameterInfo.java 939309 2010-04-29 13:54:26Z kkolinko $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`description, info, name, type`

Constructor Summary
`ParameterInfo()` Standard zero-arguments constructor.

Method Summary
`MBeanParameterInfo` | `createParameterInfo()` Create and return a `MBeanParameterInfo` object that corresponds to the parameter described by this instance.

Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`getDescription, getName, getType, setDescription, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterInfo

    public ParameterInfo()

  Standard zero-arguments constructor.

Method Detail

### createParameterInfo

    public MBeanParameterInfo createParameterInfo()

  Create and return a `MBeanParameterInfo` object that corresponds to the parameter described by this instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.